# MongoDB Log Handler

JUL Handlers to push logs to MongoDB.

## Configure

Handlers are configured in the loggers.properties file

    handlers=org.ow2.petals.log.mongodb.MongoDbHandler, java.util.logging.ConsoleHandler
    java.util.logging.ConsoleHandler.level=MONIT
    # We set the level 'MONIT' to the MongoDB log handler to not flush received traces with level 'SEVERE', 'WARNING',
    # 'INFO' and 'CONFIG' to the MongoDB handler
    org.ow2.petals.log.mongodb.MongoDbHandler.level=MONIT
    org.ow2.petals.log.mongodb.MongoDbHandler.host=localhost
    org.ow2.petals.log.mongodb.MongoDbHandler.port=12345
    org.ow2.petals.log.mongodb.MongoDbHandler.db=petals
    org.ow2.petals.log.mongodb.MongoDbHandler.collection=petalslogs
    #org.ow2.petals.log.mongodb.MongoDbHandler.login=petals
    #org.ow2.petals.log.mongodb.MongoDbHandler.password=petals
    ##Logger levels
    .level=WARNING
    org.ow2.petals.log.mongodb.MongoDbHandlerTest.level=MONIT

## Samples

###  org.ow2.petals.log.mongodb.MongoDbHandler

Logs are pushed to the collection with the following format:

    {
      level : "info",
      name : "LoggerName",
      thread_id : "Thread-93388823",
      time_ms : 88992003000399,
      param_a : "param A value",
      param_b : "param B value",
      param_n : "param N value",
      message : "The log message"
    }

Note : 'param\_x are the LogRecord extra parameters. The key name/value pair is defined using the LogRecord API. 

###  org.ow2.petals.log.mongodb.MongoDbPayloadDumperHandler

Logs are the same as defined for the MongoDbHandler handler above plus JBI message payloads.

**Note : Not implemented.**